package net.sf.itcb.common.client.security.provider;

import java.util.ArrayList;
import java.util.Collection;

import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.User;

public class MockCredentialsProvider implements
		SecurementCredentialsProvider {

	private String username;
	private String password;
	
	
	public void setUsername(String username) {
		this.username = username;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	@Override
	public User getUserCredentials() throws Exception {
		User user = new User(username, password, true, true, true, true, (Collection<? extends GrantedAuthority>) new ArrayList<GrantedAuthority> () );
		return user;
	}

}
